%global modname Jcode
%global momorel 2

Summary: Perl extension interface to convert Japanese text
Name: perl-%{modname}
Version: 0.86
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
URL: http://openlab.ring.gr.jp/Jcode/
Source0: http://openlab.ring.gr.jp/Jcode/%{modname}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl >= 5.8.2

%description
This is a Perl extension interface to convert Japanese text.

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="%optflags" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}%{perl_sitearch}/auto/Jcode/.packlist
rm -f %{buildroot}%{perl_sitearch}/mac_install.pl
rm -f %{buildroot}%{perl_sitearch}/win_install.pl

%files
%defattr(-, root, root)
%{perl_sitearch}/Jcode*
%{perl_sitearch}/auto/Jcode
%{_mandir}/man?/*

%doc Changes README

%clean
rm -rf %{buildroot}

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.86-2m)
- remove Epoch from BuildPrereq

* Wed Jun 23 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.86-1m)
- version 0.86

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.83-5m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.83-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.83-3m)
- rebuild against perl-5.8.1

* Fri Oct 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.83-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- fix %%files

* Fri Jul 11 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.83-1m)
- version 0.83

* Fri Nov 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.82-2m)
- rebuild against perl-5.8.0

* Tue Sep 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.82-1m)

* Sun Sep 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.81-1m)

* Sun Sep 15 2002 HOSONO Hidetomo <h@h12o.org>
- (0.80-1m)
- version up

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.79-5m)
- fix %files (HISTORY -> Changes)

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (0.79-4k)
- rebuild against for perl-5.6.1

* Tue Jan  5 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.79-2k)
- update to 0.79

* Thu Dec 20 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.76-2k)

* Mon Sep  3 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.75-2k)

* Sun Jun 3 2001 Toru Hoshina <toru@df-usa.com>
- (0.72-2k)

* Sat Apr 7 2001 SAKUMA Junichi <fk5j-skm@asahi-net.or.jp>
- (0.68-5k)
- version 0.68
- added prerequirement perl-MIME-Base64

* Wed Nov 29 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- use perl_archlib & perl_sitearch macro

* Fri Aug 18 2000 Toru Hoshina <t@kondara.org>
- rebuild against perl 5.600.

* Sat Mar 11 2000 Motonobu Ichiura <famao@kondara.org>
- fix .packlist problem

* Sat Jan 15 2000 Kazuyuki Funada <fun@shikoku.ne.jp>
- 1st release

